luminance-hdr (2.6.1.1+dfsg-2) unstable; urgency=medium

  * 70_OpenEXR3.diff: Fix build error against OpenEXR 3. Closes: #1017526
  * Migrate lintian overrides with
    GIT/lintian/bin/lintian-migrate-overrides-to-pointed-hints.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Aug 2022 18:21:37 +0200

luminance-hdr (2.6.1.1+dfsg-1) experimental; urgency=medium

  * New upstream version.
  * Add lintian override for html templates.
  * Use dh v13 mode.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Jul 2021 18:57:47 +0200

luminance-hdr (2.6.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Sep 2019 10:47:58 +0200

luminance-hdr (2.6.0+dfsg-1) experimental; urgency=low

  * Replace get-orig-source target with respective Files-Excluded statement in
    debian/copyright, add repacksuffix statement to debian/watch.
  * [lintian] Use DEB_VERSION_UPSTREAM from pkg-info.mk instead of parsing
    changelog.
  * Use dh 12 compat.
  * Simplify/shorten debian/rules.
  * Set Rules-Requires-Root: no.
  * Run "wrap-and-sort --max-line-length=72 --short-indent".
  * New upstream version.
   + Refresh patches, drop 05_upstream_qtwebkit.patch and
     65_fix-compilation-with-gcc9.patch.
   + Add 65_accept_buildtype_None.diff to accept CMAKE_BUILD_TYPE=None.
   + Add b-d on libeigen3-dev and a respective Built-Using field.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 23 Aug 2019 10:13:58 +0200

luminance-hdr (2.5.1+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with gcc9. (Backported from upstream GIT). Closes: #925773
  * Point VCS-* to salsa.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 17 Aug 2019 19:13:08 +0200

luminance-hdr (2.5.1+dfsg-3) unstable; urgency=low

  * Upload to unstable.
  * [lintian] Drop trailing whitespace in changelog.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Feb 2018 14:19:41 +0100

luminance-hdr (2.5.1+dfsg-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * Sync priorities with override file (extra -> optional).

  [ Leonardo Montecchi ]
  * Apply upstream patch to use QtWebKit instead of QtWebEngine

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Jan 2018 15:08:54 +0100

luminance-hdr (2.5.1+dfsg-1) experimental; urgency=low

  [ Leonardo Montecchi ]
  * New upstream release
  * Repack sources to remove unused folder 'hdrhtml/hdrhtml_hdrlabs_templ/'
    containing compiled .js without source
  * Add get-orig-source target to debian/rules
  * 60_hdrhtml_locale.diff: Fix locale issue in export to HTML feature
  * Update 20_usrsharedoc.diff: Revert putting the hdrhtml folder under
    /usr/doc as it is not part of the documentation

  [ Andreas Metzler ]
  * Drop unused b-d on libqt5webkit5-dev.
  * Repacked source -> use +dfsg version and set dvervsionmangle in watchfile.
  * Handle +dfsg suffix in get-orig-source target.
  * Use xz compression for repacked source.
  * Drop qtpfsgui transition package. Closes: #878689

 -- Andreas Metzler <ametzler@debian.org>  Thu, 19 Oct 2017 19:34:05 +0200

luminance-hdr (2.4.0-9) unstable; urgency=medium

  * Pass non-empty argument to pod2man's --release option as required by perl
    5.24. Closes: #839372
  * Drop debian/menu.
  * Build with hardening=+all.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Oct 2016 19:43:05 +0200

luminance-hdr (2.4.0-8) unstable; urgency=medium

  * Move Vcs-* from git/http to https.
  * 52_drop_Qt5Declarative_dep.diff / debian/control: Drop unused
    build-dependency on qtquick1-5-dev. Closes: #810627

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Jan 2016 12:03:49 +0100

luminance-hdr (2.4.0-7) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807209

  [ Andreas Metzler ]
  * [lintian] Fix typo in debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 07 Dec 2015 08:11:55 +0100

luminance-hdr (2.4.0-6) unstable; urgency=medium

  * 51_qt5_printsupport.diff: Fix build error with newer QT. Closes: #763224

 -- Andreas Metzler <ametzler@debian.org>  Tue, 30 Sep 2014 18:32:29 +0200

luminance-hdr (2.4.0-5) unstable; urgency=medium

  * Add build-dependency on pkg-config. (Thanks, Pino Toscano)
    Closes: #759115
  * Enable parallel build. (Thanks, Pino Toscano)
    Closes: #759119

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Sep 2014 15:05:38 +0200

luminance-hdr (2.4.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 15 Apr 2014 19:09:29 +0200

luminance-hdr (2.4.0-3) experimental; urgency=medium

  [ Leonardo Montecchi ]
  * Requires cmake 2.8.11, bump build-depends.
  * 50_fix_build_kfreebsd-amd64.diff: Workaround for FTBFS on kfreebsd-amd64.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Apr 2014 12:56:18 +0200

luminance-hdr (2.4.0-2) experimental; urgency=medium

  * 40_donotforce_sse.diff: Stop setting -msse2 -msse to fix build error on
    non-x86 archs.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 06 Apr 2014 18:39:33 +0200

luminance-hdr (2.4.0-1) experimental; urgency=low

  [ Andreas Metzler ]
  * New upstream version (2.4.0).
    + add build-depends on libboost-dev.
  * Version build dep on qttools5-dev >= 5.2.1-7 because of #738196.
  * Point Vcs-* to anonscm.d.o.

  [ Leonardo Montecchi ]
  * New upstream version (2.4.0)
  * Updated build-dependencies and dependencies to Qt5.
  * Add build-dependency on libboost-program-options-dev
  * Add build-dependency on libccfits-dev
  * Refresh patch 20_usrsharedoc.diff
  * Updated manpage for luminance-hdr-cli
  * Added patch 30_fixiconpath.diff, fixes installation path of icon
    according to its size.

  [ Lisandro Damián Nica ]
  * Build-Depend on specific qt submodules instead of libqt5-dev.
  * Select QT5 by adding export QT_SELECT := qt5 to debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Apr 2014 13:31:56 +0200

luminance-hdr (2.3.0-3) unstable; urgency=low

  [ Leonardo Montecchi ]
  * Added dependency on hugin-tools, needed for align_image_stack.
    (LP: #420157)
  * Added manpage for luminance-hdr-cli (created from the output of
    'luminance-hdr-cli -h')

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Jan 2013 11:07:05 +0100

luminance-hdr (2.3.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Nov 2012 09:09:25 +0100

luminance-hdr (2.3.0-1) experimental; urgency=low

  [ Leonardo Montecchi ]
  * New upstream release
  * Dropped patch 30_fix_build_non_x86 which is now in upstream code
  * Modified patch 20_usrsharedoc.diff which did not apply
  * Add build-dependency on libpng-dev.
  * Build-depend on libtiff-dev instead of libtiff4-dev.

  [ Andreas Metzler ]
  * Add build-dependencies on liblcms2-dev and libjpeg-dev. (These are
    already pulled in by libraw-dev and libtiff(4)-dev respectively but are
    directly required by luminance-hdr, too.)
  * Update debian/copyright.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Jul 2012 10:59:32 +0200

luminance-hdr (2.2.1-3) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 02 Jun 2012 08:22:02 +0200

luminance-hdr (2.2.1-2) experimental; urgency=low

  [ Leonardo Montecchi ]
  * Added patch from upstream code, fixes compilation on non-x86
    architectures:
     - 30_fix_build_non_x86

 -- Andreas Metzler <ametzler@debian.org>  Fri, 25 May 2012 20:13:41 +0200

luminance-hdr (2.2.1-1) experimental; urgency=low

  * Team upload.
  * Switch to new upstream name luminance-hdr. Closes: #622240,#563401
    (LP: #649647)
  * Use 3.0 (quilt) format.
  * Drop patches which do not apply (20_gcc4.3_includes
    30_fix_documentation_search_path 40_fix_desktop_file_icon 50_disable_opts
    60_fix_segfault_536666), update 10_remove_encoding_from_desktop_file.
  * Update build-depends, adding cmake (>= 2.6.0), libqtwebkit-dev,
    libraw-dev, libgsl0-dev.
  * [20_usrsharedoc.diff] install to and search for docs in
    /usr/share/doc/luminance-hdr instead if /usr/share/luminance-hdr. Strip
    down debian/rules, this is now basically vanilla cmake.
  * Provide empty qtpfsgui transitional package to faciliate automatic
    upgrades.
  * Use dh v9 level.
  * Enable building with bindnow and -Wl,--as-needed.
  * Add dependency on libqt4-sql-sqlite.
  * Do not ship unused jquery copy.
  * Register manual with doc-base.
  * Adopt package. Closes: #646315

 -- Andreas Metzler <ametzler@debian.org>  Mon, 14 May 2012 20:23:46 +0200

qtpfsgui (1.9.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixing segmentation fault when saving a HDR image (closes: #536666).

 -- Giovanni Mascellani <gio@debian.org>  Mon, 30 Aug 2010 23:08:43 +0200

qtpfsgui (1.9.3-1) unstable; urgency=low

  [ Cyril Brulebois ]
  * New upstream release (Closes: #530766).
  * debian/copyright:
     - Update accordingly.
  * debian/patches:
     - Get rid of timestamps.
  * Merge changes from experimental.
  * Update my address in the manpage too.
  * ACK the following patches by fabo, thanks!
  * Add dcraw to Depends, since this tool is needed, although not
    mentioned as a dependency in the upstream docs. Thanks to fabo
    again.
  * Add patch to disable some (new) default optimisations: openmp and
    sse2, because I'm not sure they are available on all platforms:
     - 50_disable_opts
  * debian/control:
     - Update Standards-Version from 3.8.0 to 3.8.1 (no changes needed).
  * Switch from cdbs to plain debhelper:
     - Update compat from 5 to 7.
     - B-D to debhelper (>= 7.0.50) to be able to use overrides.
     - Use debian/docs and debian/manpages to control dh_* accordingly.
     - Rework debian/rules.
     - Drop cdbs from B-D.

  [ Fathi Boudra ]
  * Add patch to fix documentation search path on Debian system:
     - 30_fix_documentation_search_path
  * Add patch to fix desktop file icon (Closes: #509305):
     - 40_fix_desktop_file_icon

 -- Cyril Brulebois <kibi@debian.org>  Sun, 07 Jun 2009 13:35:47 +0200

qtpfsgui (1.9.2-1) experimental; urgency=low

  * New upstream release.
  * debian/copyright:
     - Update accordingly.
     - Update my mail address, copyright years.
  * debian/control:
     - Update my mail address.
     - Bump Standards-Version from 3.7.3 to 3.8.0 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Mon, 01 Dec 2008 04:32:14 +0100

qtpfsgui (1.9.1-1) unstable; urgency=low

  * New upstream release.
  * Drop merged-upstream (or cherrypicked-from-upstream) patches:
     - 30_align_image_stack_prefix.
     - 40_fix_exiv2_encoding_support.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 07 Mar 2008 23:23:55 +0100

qtpfsgui (1.9.0-3) unstable; urgency=low

  * Add patch to fix encoding troubles with operations on exiv2 data,
    cherry-picked from upstream, revision 262 (Closes: #460718):
     - 40_fix_exiv2_encoding_support.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 05 Feb 2008 22:01:58 +0100

qtpfsgui (1.9.0-2) unstable; urgency=low

  * Special thanks to Julien Valroff, who reported the following bugs,
    along with some patches.
  * Added patch to allow the use of Hugin's align_image_stack again; its
    inclusion is pending upstream (Closes: #460716):
     - 30_align_image_stack_prefix.
  * Fix the link to embedded documentation: qtpfsgui/doc -> doc/qtpfsgui
    (Closes: #460944).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sat, 26 Jan 2008 14:27:52 +0100

qtpfsgui (1.9.0-1) unstable; urgency=low

  * New upstream release.
  * Replace “COPYING” with “LICENSE” in the NOT_NEEDED variable of
    debian/rules, following upstream's renaming.
  * Update debian/links accordingly.
  * Delete the matching TODO item since there's no longer needed to have a
    patched (with HTML tags) license file to get a correct display in the
    “License agreement” tab.
  * Update the gcc4.3 patch (drop the hunk touching src/Libpfs/pfs.cpp):
     - 20_gcc4.3_includes.
  * Add a link from /usr/share/qtpfsgui/html to the HTML documentation
    under /usr/share/doc/qtpfsgui/html since the former is used at runtime
    to display the manual.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sun, 06 Jan 2008 04:39:36 +0100

qtpfsgui (1.8.12-2) unstable; urgency=low

  * Move maintenance to pkg-phototools now that the team has been created
    on alioth: Maintainer set to the team, put myself in Uploaders.
  * Update Vcs-* accordingly.
  * Add a “lrelease-qt4” call in the “makebuilddir” target, so that
    localization files get built, and then later installed. Delete the
    generated files in the “clean” target. Use a stamp file to avoid
    double-run.
  * No longer “rmdir” the /usr/share/qtpfsgui directory since it is no
    longer empty.
  * Add a link (through debian/links) from /usr/share/qtpfsgui/COPYING to
    GPL-2 in common-licenses, since it is used in the “License agreement”
    tab. Add a TODO item accordingly (upstream uses HTML <pre> tags to
    format it).
  * Add patch to fix FTBFS with gcc 4.3 snapshots:
     - 20_gcc4.3_includes.
  * Add a minimal manpage generated from debian/qtpfsgui.pod using
    pod2man.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sat, 22 Dec 2007 18:12:19 +0100

qtpfsgui (1.8.12-1) unstable; urgency=low

  * Initial release (Closes: #410655).
  * The following patch removes the unneeded “Encoding” key from the
    upstream desktop file:
     - 10_remove_encoding_from_desktop_file.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 14 Dec 2007 02:46:03 +0100
